#GIT_CMT=941beb4e43e365630b4bab40f2217be2a10ad461
Name:           libibacl
Version:        1.0
Release:        4%{?dist}
Summary:        Library and utilities to develop Access Control applications
Group:          Development/Libraries
License:        BSD
Vendor:         Oracle Corp.
Source: libibacl-1.0.tar.bz2
Prefix:         %{_prefix}
Packager: 	Yuval Shaia
BuildRoot:      %{name}-%{version}
BuildRequires:	glibc glib2-devel

%description -n %{name}
Library and utilities to develop Access Control applications

%prep
%setup -n %{name}-%{version}

%build
make

%install
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_bindir}
cp %_builddir/%{name}-%{version}/lib/%{name}.so.%{version} %{buildroot}%{_libdir}
cp %_builddir/%{name}-%{version}/include/ibacl.h %{buildroot}%{_includedir}
cp %_builddir/%{name}-%{version}/utils/ibacl_enable.c.bin %{buildroot}%{_bindir}/ibacl_enable
cp %_builddir/%{name}-%{version}/utils/ibacl_disable.c.bin %{buildroot}%{_bindir}/ibacl_disable
cp %_builddir/%{name}-%{version}/utils/ibacl_get_state.c.bin %{buildroot}%{_bindir}/ibacl_get_state
cp %_builddir/%{name}-%{version}/utils/ibacl_get_instances.c.bin %{buildroot}%{_bindir}/ibacl_get_instances
cp %_builddir/%{name}-%{version}/utils/ibacl_add_instance.c.bin %{buildroot}%{_bindir}/ibacl_add_instance
cp %_builddir/%{name}-%{version}/utils/ibacl_del_instance.c.bin %{buildroot}%{_bindir}/ibacl_del_instance
cp %_builddir/%{name}-%{version}/utils/ibacl_get_list.c.bin %{buildroot}%{_bindir}/ibacl_get_list
cp %_builddir/%{name}-%{version}/utils/ibacl_add_to_list.c.bin %{buildroot}%{_bindir}/ibacl_add_to_list
cp %_builddir/%{name}-%{version}/utils/ibacl_del_from_list.c.bin %{buildroot}%{_bindir}/ibacl_del_from_list
cp %_builddir/%{name}-%{version}/utils/ibacl_add_guid_range_to_list.c.bin %{buildroot}%{_bindir}/ibacl_add_guid_range_to_list
cp %_builddir/%{name}-%{version}/utils/ibacl_del_guid_range_from_list.c.bin %{buildroot}%{_bindir}/ibacl_del_guid_range_from_list

%check

%clean
rm -fr %{_builddir}/%{name}-%{version}
rm -fr %{buildroot}

%files
%doc COPYING
%{_libdir}/%{name}.so.%{version}
%{_includedir}/ibacl.h
%{_bindir}/ibacl_enable
%{_bindir}/ibacl_disable
%{_bindir}/ibacl_get_state
%{_bindir}/ibacl_get_instances
%{_bindir}/ibacl_add_instance
%{_bindir}/ibacl_del_instance
%{_bindir}/ibacl_get_list
%{_bindir}/ibacl_add_to_list
%{_bindir}/ibacl_del_from_list
%{_bindir}/ibacl_add_guid_range_to_list
%{_bindir}/ibacl_del_guid_range_from_list

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Tue May 9 2017 Yuval Shaia <yuval.shaia@oracle.com> - 1.0-4
- BUILDINFO: commit=941beb4e43e365630b4bab40f2217be2a10ad461
- libibacl/buildrpm: Change Release to 4 (Yuval Shaia)  
- libibacl: Change negative error codes to positive (Yuval Shaia)  
- libibacl: Replace kernel support check (Yuval Shaia)  
- libibacl: Add .gitignore file (Yuval Shaia)  
- libibacl: Initialize fd to avoid compilation errors (Yuval Shaia)  
- libibacl: Run non-local binaries in test (Yuval Shaia)  

* Thu Jan 19 2017 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0-3
- BUILDINFO: commit=8bda766603b525ab41a9da7281153c2bb20962f2
- libibacl: Fix BSD license details and spec file (Mukesh Kacker)

* Tue Oct 25 2016 Yuval Shaia <yuval.shaia@oracle.com> - 1.0-2.el6
- BUILDINFO: commit=abba4c40cea0c4d9febafe98aa414ce58d7ba715
- libibacl: Update license to BSD

* Wed Jan 20 2016 Yuval Shaia <yuval.shaia@oracle.com>
- Initial Revision

